import {dispatch} from 'structure-dispatcher'
import express from 'express'
import Controller from './mock-cache-controller'
import cache from '../../src/index'

const router = express.Router()
const controller = new Controller()

router.get('/uncached', dispatch(controller, 'uncached'))
router.get('/cached', cache(5), dispatch(controller, 'cached'))
router.get('/invalidateapplicationstub', dispatch(controller, 'invalidateApplicationStub'))
router.get('/invalidateallstub', dispatch(controller, 'invalidateAllStub'))

export default function routesHandler(options = {}) {

  return {
    routeName: 'mock-cache-plugin',
    routes: router
  }

}
